Forum Post
Index > Scribe > GnuPG Plugin

Author/Date GnuPG Plugin
Jon Sage
01/12/2003 4:16pm
Another question/suggestion...

I noticed that the gnupg plugin strictly adhears to the draft standard for it's message format... (i.e.)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

message

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (MingW32)

blah....
-----END PGP SIGNATURE-----

however, most of the messages i get are in the format

message

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (MingW32)

blah....
-----END PGP SIGNATURE-----

and therefore, do not decode/verify correctly. could this possible be an added feature? both to be able to verify this, and also as an option to send like this? (i can keep removing the top three lines when i sign, but if it was included...)

btw - love the program, i'm *this* close to going to it for all my e-mail needs.
fReT
02/12/2003 12:25am
Yeah this is what you get from Mutt users. They attach the signature to the email as a text attachment which Scribe just appends to the bottom of the text body.

It should really attach it as a file. But oh well whatever.

In this case I need an example message AND the public key to test with, and so far I can't find a message that has both. Of the messages like this I do have none of the senders have googleable keys. Grrr.

I'll look at it when I get some test data.
Jon Sage
02/12/2003 11:40am
btw - did a little more investigating. more specifically, the attachment is of the pgp/mime type, and this is a new standard way to send signed messages. *grin*. gotta love writing standards so the can be changed a week down the line.

~jon
fReT
06/12/2003 6:23am
I was testing this, and it didn't even work for the "strict" case so I've fixed that (to be released with the next test) and I'll still keep hunting for that mutt generated way of doing it. I need an example email AND their public key.
Reply